AntiFeatures:
    NonFreeNet:
        en-US: Downloads Manga from non-libre sources.
    NSFW:
        en-US: App offers explicite content by default (can be disabled, though).
Categories:
  - Multimedia
  - Reading
License: GPL-3.0-or-later
AuthorName: Koitharu
WebSite: https://kotatsuapp.github.io
SourceCode: https://github.com/KotatsuApp/Kotatsu
IssueTracker: https://github.com/KotatsuApp/Kotatsu/issues
Translation: https://hosted.weblate.org/engage/kotatsu/
Donate: https://yoomoney.ru/to/410012543938752

Name: Kotatsu
AutoName: Kotatsu

RepoType: git
Repo: https://github.com/KotatsuApp/Kotatsu.git

Builds:
  - versionName: 1.0.1
    versionCode: 364
    commit: v1.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.1
    versionCode: 366
    commit: bbd43b51e37b84474e122c5049e2538b2de8e396
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.2
    versionCode: 367
    commit: fae958f6efc993744b385d11854a67f0496c3fe8
    subdir: app
    gradle:
      - yes

  - versionName: '2.0'
    versionCode: 372
    commit: 2ce5cb524f9df04467ddf0f36f097476109b433c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.0.1
    versionCode: 373
    commit: 30ac4435d4f3700f1e98853f70b7b444108b6752
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.0.2
    versionCode: 374
    commit: 8f2cf8141ae36d17296d7758dbe50dc17e887979
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.1.1
    versionCode: 377
    commit: e56c61d834d3e584e0fc1321ea13976ec676ea9b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.1.2
    versionCode: 378
    commit: 197393fbd155d4aa77a844fddefcfdc3a08a83c7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.1.3
    versionCode: 379
    commit: e3a80b5a6df9d336fc4c1b1d1a71efdf7653c571
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.1.4
    versionCode: 380
    commit: c218ae0baa8a71e51e41066b79a45f56d1765c0b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.1.5
    versionCode: 381
    commit: 15d0addb7b56da320a0d6e9c0cf64e4155ccf14c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.0'
    versionCode: 400
    commit: b916d4016ef63253c2e0fa70ab1a7fa121a9a72f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.1'
    versionCode: 401
    commit: 2e17efe82b48f394615b243b9ff22e74ca08b1af
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.1.1
    versionCode: 402
    commit: 6b99e360e0e57e9e7207cb41217721e89f7c0c96
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.2'
    versionCode: 404
    commit: e34acf010e05c7577ae25606eb952c8d183e4ec4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.2.1
    versionCode: 405
    commit: 4c5314fe59865359693083c09158b783b9ad71a4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.2.2
    versionCode: 406
    commit: fa150e45ff65b2f935cb04685b7e5391fc92bd59
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.2.3
    versionCode: 407
    commit: 10c03ff01a57be518fb1204337ee512ddb6d2fde
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.3'
    versionCode: 409
    commit: fc2820ec11209bb5e4dc3a46de7eb1afa1d46293
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.3.1
    versionCode: 410
    commit: 3cd156ae42ba02165e084e63f833c4a544227926
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.3.2
    versionCode: 411
    commit: 5192175ddcd2ce7d1ca6222c6b6c2bf2ab42b66e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.4'
    versionCode: 412
    commit: a35d7dc5aed7dde5615c10d437b8443f10407a71
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.1
    versionCode: 413
    commit: 3121532217d8a2f12a380a7ee7b2a46485851c21
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.2
    versionCode: 414
    commit: 557c2b018a23660ec11b35788f1b0864e1c6b3ae
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.3
    versionCode: 415
    commit: 73df68021492a9f8cf7b01ed8672e042b422ff9c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.4
    versionCode: 416
    commit: 2d4c1b751e44b76fd50395f4a1909961162c5b1f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.6
    versionCode: 418
    commit: 1840d7b50e372804bfef43ce5922aeef10daecf7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.7
    versionCode: 419
    commit: be19c32fea6965f2c9136c5af4d3df57a7ec0752
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.8
    versionCode: 420
    commit: 14f5d5daa4890e613689676dab03baa634094a2f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.9
    versionCode: 421
    commit: 9c740c5cc195f34d53c9d1d26df83084d5ba4ef5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.10
    versionCode: 422
    commit: c1e9fde6e824e25a4ebf9d3ac3ff902d5248a2a3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.11
    versionCode: 423
    commit: c4e7807d1869a1857cd40fded41d2b67e60bf511
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.12
    versionCode: 424
    commit: e4c4d2bbf095c1696ff6d40bc6edc97e12a17b66
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.13
    versionCode: 425
    commit: d242acd50287540ab154e16409c81ae71777f731
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.14
    versionCode: 426
    commit: 2e561697ac7c438e0ec231b5f342ae5518546205
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.15
    versionCode: 427
    commit: ab9bdf9f07f847c6c658ce9a578dc693d65aa3f0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.16
    versionCode: 428
    commit: c94404446504b49b24f2f9224823064e567476e9
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.4.17
    versionCode: 429
    commit: 4d838d290de389e30b431e2bb66f15d672c9d55c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.5'
    versionCode: 430
    commit: 45dbd5aa44bf25bea117932d6da1816df357c4e4
    subdir: app
    gradle:
      - yes

  - versionName: '4.0'
    versionCode: 500
    commit: 245e87256b1be685aed75c839a37972cb97f7cf7
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.1
    versionCode: 501
    commit: ff58539e2ef434f192a2a58746f9ff42d48cbec4
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.2
    versionCode: 502
    commit: cec19c3db37b3a34729c893b8f8a162855f44c4b
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.3
    versionCode: 503
    commit: b3eab1a2a0149c132a33e24502161db556aa4df4
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.4
    versionCode: 504
    commit: d224cd99bbf59cf58e9c411a816cef01fd5e2aae
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.5
    versionCode: 505
    commit: 1cbfe017eae355f4317e3649600898b857b690a9
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.6
    versionCode: 506
    commit: 24908e52afe8eaf6b26dd3421f4e3613093b85f3
    subdir: app
    gradle:
      - yes

  - versionName: '4.1'
    versionCode: 507
    commit: 08764cb3cbe9062f0f5dd5f74219a1f08a7766d5
    subdir: app
    gradle:
      - yes

  - versionName: 4.1.1
    versionCode: 508
    commit: 656a707b4c49a8cb3b129672918c0dba29100e63
    subdir: app
    gradle:
      - yes

  - versionName: 4.2.1
    versionCode: 510
    commit: bd6a51e58d083b806fcddcd23c55e7fb258d21d0
    subdir: app
    gradle:
      - yes

  - versionName: '4.3'
    versionCode: 511
    commit: 3e7a48d27a83c0f6674a718bb80812d5c3347ac2
    subdir: app
    gradle:
      - yes

  - versionName: 4.3.1
    versionCode: 512
    commit: e11e890818f80ba35ed4721fc576e5387cf66c0a
    subdir: app
    gradle:
      - yes

  - versionName: 4.3.2
    versionCode: 513
    commit: 7ffa15d2d7f08965472001bee199e71830f0d0eb
    subdir: app
    gradle:
      - yes

  - versionName: 4.3.3
    versionCode: 514
    commit: 155af8889b68634d88b37d65613f47b8910e4ee7
    subdir: app
    gradle:
      - yes

  - versionName: '4.4'
    versionCode: 516
    commit: c09b0150ac96ae597af34e3977c3a881ce72a764
    subdir: app
    gradle:
      - yes

  - versionName: 4.4.1
    versionCode: 517
    commit: 5d2395b569f81c6b267534dfd5c2bb549a423534
    subdir: app
    gradle:
      - yes

  - versionName: 4.4.5
    versionCode: 521
    commit: 4f3721beea9101b1413e21c75cd4bc70cd4ae219
    subdir: app
    gradle:
      - yes

  - versionName: 4.4.7
    versionCode: 523
    commit: 865f335b25d91271195c7c6f9f09e4ce653d14ec
    subdir: app
    gradle:
      - yes

  - versionName: 4.4.8
    versionCode: 524
    commit: dfb88feaf054ee8ade8d7f0670958bc087d6edcb
    subdir: app
    gradle:
      - yes

  - versionName: 4.4.9
    versionCode: 525
    commit: 5436c65b763762167be0983631adf4dab03ba36c
    subdir: app
    gradle:
      - yes

  - versionName: 5.0.1
    versionCode: 539
    commit: 3fd6bec4336b22f426eb4922c16be37dcff348a6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.0.2
    versionCode: 540
    commit: 12e9fb5aab8d6ce63c6c629891f95b8a19ce40b2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: '5.1'
    versionCode: 544
    commit: c6d303980bea37a8d0ba62f0e2829a5260aab4c6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.1.1
    versionCode: 545
    commit: 3778a9e1d448b0363e81d332fc623540b5b5d6ef
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.1.2
    versionCode: 546
    commit: b5cd92fb5f8cf6f206332ad37f4aa451c7f2448b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.1.3
    versionCode: 547
    commit: 6881c224538b6cdac4f3470a97d45916569289cf
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.1.4
    versionCode: 548
    commit: ef9b16da0b536ee31bcf06cb367453559cedb31b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: '5.2'
    versionCode: 552
    commit: cd23b044df2ba122789e98e02487238e39829f86
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.2.1
    versionCode: 553
    commit: d81c22b586ff7c676c0241f3efaff4400c8bc7b6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.2.2
    versionCode: 554
    commit: f1f208ad156932431e7e83bfde94b86b8a77592c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.2.3
    versionCode: 555
    commit: 009eb9fe44f76a8340bfe64308844fff18496a0a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: '5.3'
    versionCode: 556
    commit: 9d31e76cc73aece06df4f661ecdee6eb9271c0de
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.3.1
    versionCode: 558
    commit: e0ba4e268667c6ccdc0657a920860cd3c20c73ac
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.3.2
    versionCode: 559
    commit: c81e8749b6d5216569947ec9876cb5a1945f6f1e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.3.3
    versionCode: 560
    commit: 90dfc84119fa16926ca9915c150349761227915f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.3.4
    versionCode: 561
    commit: 619be6958002fbfb34a6832c1bb0b5af8b45c919
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.3.5
    versionCode: 562
    commit: e4c80b4443110ae4599a666ed9b10363898cca3d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.3.6
    versionCode: 563
    commit: 439a01c43f1c3e278c80c5a636f21fc3bae5d8f1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.3.8
    versionCode: 565
    commit: 08acf2d882f1baf02db576086e3cf86a80f1637b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.3.9
    versionCode: 566
    commit: 42bb5a65ab8adedc02977e6c4215d32c37df8ab8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 5.3.10
    versionCode: 567
    commit: 07af79a6bd3797059b465a0ca562041dfd5cc9eb
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: '6.0'
    versionCode: 573
    commit: 61e9796269d584fdd0217f91216bee8a7feccbbd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[0-9.]+$
CurrentVersion: '6.0'
CurrentVersionCode: 573
